import '../../../../food_delivery_client.dart';

class WAuthBackground extends StatelessWidget {
  const WAuthBackground({super.key, required this.child});

  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        SizedBox(
          height: context.h * .3,
          child: Image.asset(AppImages.imgBurger2, fit: BoxFit.cover),
        ),
        SingleChildScrollView(
          // keyboardDismissBehavior:
          //     ScrollViewKeyboardDismissBehavior.onDrag,
          child: Column(
            children: [
              SizedBox(height: context.h * .2),
              DecoratedBox(
                decoration: BoxDecoration(
                  color: AppColors.cFFFFFF,
                  borderRadius: AppUtils.kBorderRadiusTop20,
                ),
                child: child,
              ),
            ],
          ),
        ),
      ],
    );
  }
}
